Bug Hunting Session
Bug 99386 - Undo with merged cell, needs hard recalculate, no automatic update
Summary: Undo with merged cell, needs hard recalculate, no automatic update
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.3.0 target:5.1.6 target:5.2....
Keywords: bibisectRequest, regression
Depends on:
Blocks: Undo-Redo Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2016-04-19 06:02 UTC by mahfiaz
Modified: 2018-02-17 17:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document (8.91 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-04-19 06:02 UTC, mahfiaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mahfiaz 2016-04-19 06:02:00 UTC
Created attachment 124485 [details]
Example document

Merge cells and undo, the referenced cell does not update after undo. Please see the attached file.
Comment 1 raal 2016-04-19 06:26:17 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: 0f27cc992a99568e46ffe807ef9dbb5ba0bc601f
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-12_23:40:16

works in LO 3.5, regression
Comment 2 raal 2016-04-20 05:49:26 UTC
reproducible with Version: 4.5.0.0.alpha0+
Comment 3 Cor Nouws 2016-05-03 13:28:21 UTC
I do not see the problem on Version: 5.2.0.0.alpha1+
Build ID: 07a641b110beee4f7c76617fcd6ed558025321a2
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-05-02_02:15:45
Locale: nl-NL (nl_NL.UTF-8)

Or could it be that I choose a different merge style?
Comment 4 mahfiaz 2016-08-04 15:15:38 UTC
Cor, I don't know what you are doing different. With current 5.2.0.4 it's still the same.
Comment 5 Cor Nouws 2016-08-04 15:39:19 UTC
Now in Version: 5.3.0.0.alpha0+
Build ID: 8da4ba9be2d2deb8990f40fa0cc5d6b16d525c72
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-03_23:43:46
Locale: nl-NL (nl_NL.UTF-8); Calc: group
(different installation) I can reproduce the problem.
Comment 6 mahfiaz 2016-08-04 20:49:55 UTC
Works in 4.0.0.3, does not (according to raal) in 4.5.0.0
Comment 7 Xisco Faulí 2016-09-12 12:13:08 UTC
Adding keyword 'bibisectRequest'.
Comment 8 Aron Budea 2016-09-25 04:54:48 UTC
Works in 4.1.0.4, not in 4.2.0.4.
Comment 9 Markus Mohrhard 2016-09-28 01:55:48 UTC
Just a missing broadcaster for changed cells in the undo action.
Comment 10 Commit Notification 2016-09-28 21:47:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6f213bed507d1d7547f6098a67b6e460d46bce6

tdf#99386, broadcast that cell content changed after merge cells undo/redo

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Markus Mohrhard 2016-09-28 21:51:00 UTC
Review requests for 5-2 and 5-1 are in gerrit.
Comment 12 Commit Notification 2016-10-04 14:14:24 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47d1aa87cbe8390f9c6190b13733f8c1fd240e30&h=libreoffice-5-1

tdf#99386, broadcast that cell content changed after merge cells undo/redo

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-10-04 15:37:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36b17b095850e73b3a5f044ac69661a813fbf3b8&h=libreoffice-5-2

tdf#99386, broadcast that cell content changed after merge cells undo/redo

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-02-17 17:45:44 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d13c5b153b7798ed18062b67c5d4185590b5b22e

uitest for tdf#99386

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.